Subject: Re: [PATCH net-next v3 0/6][pull request] idpf: XDP chapter II: convert Tx completion to libeth

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Sep 2024 14:44:56 -0700

On Tue, 10 Sep 2024 09:46:57 -0700 Tony Nguyen wrote:
> > You're posting two series at once, again. I was going to merge the
> > subfunction series yesterday, but since you don't wait why would
> > I bother trying to merge your code quickly.  
> 
> I thought last month's vacations were over as I had seen Eric and Paolo 
> on the list and that things were returning to normal.

Stubbornly people continue to take vacations, have babies etc.
But that's besides the point.

Either we are merging stuff quickly, and there's no need to queue two
series, or we're backed up due to absences and you should wait.

The rule of 15 patches at a time is about breaking work up as much as
throttling.  Up to outstanding 15 patches to each tree.
I find it hard to believe you don't know this.

> > And this morning I got
> > chased by Thorsten about Intel regressions, again:
> >   https://bugzilla.kernel.org/show_bug.cgi?id=219143  
> 
> Our client team, who works on that driver, was working on that issue.
> I will check in with them.
> 
> > Do you have anything else queued up?
> > I'm really tempted to ask you to not post anything else for net-next
> > this week.  
> 
> I do have more patches that need to be sent, but it's more than can fit 
> in the time that's left. There are 1 or 2 more that I was hoping to get 
> in before net-next closed or Plumbers starts.

Higher prio stuff (read: exclusively authored by people who were
actively reviewing upstream (non-Intel) code within last 3 months) 
may be able to get applied in time. We have 250 outstanding patches
right now, and just 3 days to go.